#!/usr/bin/env ruby

$LOAD_PATH.unshift('/home/bnzanette/Projetos/dspace-rest-client/lib')
require 'dspace'

client = Dspace::Client.new(dspace_api: 'https://localhost:8443')

if !client.is_running?
  raise 'Can\'t connect to DSpace API.'
end

client.login 'admin@dspace.com', 'admin'

for x in 1..5 do
    community = client.communities.create(
        Dspace::Community.new({'name' => "Community #{x}"})
    )

    for y in 1..5 do
        collection = client.communities.create_collection(
            Dspace::Collection.new({'name' => "Collection #{x}-#{y}"}),
            id: community.id
        )

        for z in 1..10 do

            print "#{x}-#{y}-#{z}\r"

            item = client.collections.create_item(
                Dspace::Item.new(
                    'metadata' =>
                    [
                        {'key' => 'dc.title',
                            'value' => "Item #{x}-#{y}-#{z}"},
                        {'key' => 'dc.contributor.author',
                            'value' => "Zanette, Bruno"}
                    ]
                ),
                id: collection.id
            )
        end
    end
end
